aboutsummaryrefslogtreecommitdiffstats
path: root/packages/cortexa57-poky-linux/connman-gnome/connman-gnome/latest.pkg_postinst
diff options
context:
space:
mode:
Diffstat (limited to 'packages/cortexa57-poky-linux/connman-gnome/connman-gnome/latest.pkg_postinst')
-rw-r--r--packages/cortexa57-poky-linux/connman-gnome/connman-gnome/latest.pkg_postinst17
1 files changed, 17 insertions, 0 deletions
diff --git a/packages/cortexa57-poky-linux/connman-gnome/connman-gnome/latest.pkg_postinst b/packages/cortexa57-poky-linux/connman-gnome/connman-gnome/latest.pkg_postinst
new file mode 100644
index 000000000000..80d05958aafb
--- /dev/null
+++ b/packages/cortexa57-poky-linux/connman-gnome/connman-gnome/latest.pkg_postinst
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+if [ "x$D" != "x" ]; then
+ $INTERCEPT_DIR/postinst_intercept update_gtk_icon_cache connman-gnome \
+ mlprefix= \
+ libdir_native=/usr/lib
+else
+
+ # Update the pixbuf loaders in case they haven't been registered yet
+ /usr/lib/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders --update-cache
+
+ for icondir in /usr/share/icons/* ; do
+ if [ -d $icondir ] ; then
+ gtk-update-icon-cache-3.0 -fqt $icondir
+ fi
+ done
+fi